<?php
namespace HCM\TRE\Repository;

use Doctrine\DBAL\Connection;
use Doctrine\ORM\EntityManager;

class CursoRepository {

    protected  $connection;
    
    public function __construct(Connection $connection, EntityManager $entityManager) {
        $this->connection = $connection;
        $this->entityManager = $entityManager;
        
    }
    
    public function ConteudoExists($nrorg,$nrcurso){
    $sql = $this->entityManager->getConnection()->prepare("
            SELECT * 
             FROM GPE_CONTEUDOCURSO 
            WHERE
             NRORG = :P_NRORG
            AND NRCURSO = :P_NRCURSO"
        );
        $sql->execute(
            array(
                "P_NRORG"=>$nrorg,
                "P_NRCURSO"=>$nrcurso
                )
            );
        if(!empty($sql->fetchAll()))
            return true;
        
        return false;
    }
    
    public function ConteudoInfExists($nrorg,$nrcurso,$nrconteudocursosup){
    $sql = $this->entityManager->getConnection()->prepare("
            SELECT * 
             FROM GPE_CONTEUDOCURSO 
            WHERE
             NRORG = :P_NRORG
            AND NRCURSO = :P_NRCURSO
            AND NRCONTEUDOCURSOSUP = :P_NRCONTEUDOCURSOSUP"
        );
        $sql->execute(
            array(
                "P_NRORG"=>$nrorg,
                "P_NRCURSO"=>$nrcurso,
                "P_NRCONTEUDOCURSOSUP"=>$nrconteudocursosup
                )
            );
        if(!empty($sql->fetchAll()))
            return true;
        
        return false;
    }
} 
