<?php
namespace HCM\Geral\Repository;

use Doctrine\DBAL\Connection;
use Doctrine\ORM\EntityManager;

class AquisicaoProdutoRuralRepository {

    public function __construct(Connection $connection, EntityManager $entityManager) {
        $this->connection = $connection;
        $this->entityManager = $entityManager;
    }

    public function insereAquisicaoProdutoRural(
        $nrorg, $nraquiprodrural, $dtmescompetenc, $nrestrutempreg, $nrestrutestab, $nrindaquis, $cdinscprod, $nrinscprod, $vrbrutoaquis, $vrcpdescpr, $idindopccp
    ) {
        
        $sql = $this->entityManager->getConnection()->prepare(
        "INSERT INTO ESO_AQUIPRODRURAL
            (NRORG, NRAQUIPRODRURAL, DTMESCOMPETENC, NRESTRUTEMPREG, NRESTRUTESTAB, NRINDAQUIS, CDINSCPROD, NRINSCPROD, VRBRUTOAQUIS, VRCPDESCPR, IDINDOPCCP)
          VALUES
            (:P_NRORG, :P_NRAQUIPRODRURAL, :P_DTMESCOMPETENC, :P_NRESTRUTEMPREG, :P_NRESTRUTESTAB, :P_NRINDAQUIS, :P_CDINSCPROD, :P_NRINSCPROD, :P_VRBRUTOAQUIS, :P_VRCPDESCPR, :P_IDINDOPCCP)"
        );
        
        $sql->execute(
            array(
                'P_NRORG' => $nrorg,
                'P_NRAQUIPRODRURAL' => $nraquiprodrural,
                'P_DTMESCOMPETENC' => $dtmescompetenc,
                'P_NRESTRUTEMPREG' => $nrestrutempreg,
                'P_NRESTRUTESTAB' => $nrestrutestab,
                'P_NRINDAQUIS' => $nrindaquis,
                'P_CDINSCPROD' => $cdinscprod,
                'P_NRINSCPROD' => $nrinscprod,
                'P_VRBRUTOAQUIS' => $vrbrutoaquis,
                'P_VRCPDESCPR' => $vrcpdescpr,
                'P_IDINDOPCCP' => $idindopccp,
            )
        );
    }

} 
